Page MenuHomePhabricator

Create query string parameter to enable/disable DiscussionTools on target wikis
Closed, ResolvedPublic

Description

In an effort to evaluate the reliability of the comment parser (T232780), which many DiscussionTools features depend (e.g. T233446), we would like to be able to test the parser on live talk pages prior to DiscussionTools being added as a Beta Feature.

Approach

During our 23-Jan standup, we decided the most straightforward way of accomplishing the above would be to create a new query string parameter.

Requirements

  • We need to be able to test DiscussionTools on specific talk pages, on specific wikis

Done

Event Timeline

ppelberg created this task.Jan 24 2020, 6:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2020, 6:54 PM
ppelberg renamed this task from Create query string parameter to enable DiscussionTools on target wikis to Create query string parameter to enable/disable DiscussionTools on target wikis.Jan 24 2020, 6:54 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)Jan 24 2020, 6:56 PM

REMOVING "We need to be able to be able to disable/enable the query string parameter at any point" as a requirement; if/when we want to disable the parameter, we can write a patch to revert this one.

matmarex claimed this task.Feb 4 2020, 8:43 PM

Change 570142 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] Add config option and query parameter to control loading

https://gerrit.wikimedia.org/r/570142

With that patch, you can add ?dtenable=1 to the page URL to load DiscussionsTools on any page (assuming it's installed on the wiki). I'm also adding a config option $wgDiscussionToolsEnable which can be set to false, so that we can install DiscussionsTools on target wikis without actually enabling it on all talk pages there immediately.

JTannerWMF edited projects, added OWC2020 (OWC2020 Replying 1.0); removed OWC2020.

Change 570142 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Add config option and query parameter to control loading

https://gerrit.wikimedia.org/r/570142

matmarex added a project: Skipped QA.

(We don't currently have any public wiki with this configuration, but I tested it locally.)

(We don't currently have any public wiki with this configuration, but I tested it locally.)

Understood. Thank you, Bartosz. We'll QA this in production once we deploy Replying v1.0 to our target wikis.

ppelberg closed this task as Resolved.Feb 11 2020, 1:32 AM

Change 572882 had a related patch set uploaded (by Ladsgroup; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@wmf/1.35.0-wmf.18] Add config option and query parameter to control loading

https://gerrit.wikimedia.org/r/572882

Change 572882 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@wmf/1.35.0-wmf.18] Add config option and query parameter to control loading

https://gerrit.wikimedia.org/r/572882